Subject: Re: bug#4515: 23.1.50; Reverting changes on versioned file does not revert vc modeline status

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 23 Sep 2009 21:24:45 -0700 (PDT)

Stefan Monnier <[email-masked]> writes:

  > > Automatically checking the VC state after each save is actually
  > > performed if there is a vc-dired buffer for the working copy where the
  > > file resides. That check updates the vc-dired with the correct state of
  > > the saved file.
  > 
  > Indeed.  That requires the status info to be obtainable cheaply.

There's a major difference: vc-dir is asynchronous, whereas updating the
same info when saving a file is synchronous, so it will be on the
critical path.